<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="assets/css/style.css">
  <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=BioRhyme&amp;family=Space+Mono&amp;display=swap">
  <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
  <link rel="shortcut icon" href="https://cdn.icon-icons.com/icons2/317/PNG/128/sign-check-icon_34365.png" type="image/x-icon">
  <title>ToDo List</title>
</head>
<body>
  <div class="app">
    <div class="todo-list">
      <h1 class="title">
      <img class="title-img" src="https://cdn.icon-icons.com/icons2/317/PNG/128/sign-check-icon_34365.png" alt="Simbolo de item checado de uma lista">
        ToDo List: <br> Marque suas tarefas aqui:
      </h1>
  
      <form class="form" action="">
        <input class="form-input" type="text" data-form-input>
        <button class="form-button" data-form-send-button> Novo Item </button>
        <!-- Uma vez que uma segunda pessoa comece a trabalhar no projeto e ache que essa classe não faz mais sentido, se ela trocar o nome da classe, além de ter que alterar a classe no css, teria que fazê-lo no javascript também, criando um atributo data-nome-dela, determinamos a ela a função de ser convocada pelo JS e somente por ele -->
      </form>

      <ul class="list" data-list>
        <!-- <li class="task" data-task>
          <p class="content"></p>
        </li>  -->     
      </ul>
    </div>

    <script type="module" src="main.js"></script>
</body>
</html>
